## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCombined

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression

All Known Implementing Classes:
  ValueExpressionCombinedImpl

public interface ValueExpressionCombined
extends QueryValueExpression

A representation of the model object 'SQL Value Expression Combined'.

The following features are supported:

- `Combined Operator`
- `Left Value Expr`
- `Right Value Expr`

See Also:
  `SQLQueryModelPackage.getValueExpressionCombined()`

Method Summary
`ValueExpressionCombinedOperator` `getCombinedOperator()` Returns the value of the 'Combined Operator' attribute.
`QueryValueExpression` `getLeftValueExpr()` Returns the value of the 'Left Value Expr' containment reference.
`QueryValueExpression` `getRightValueExpr()` Returns the value of the 'Right Value Expr' containment reference.
`void` `setCombinedOperator(ValueExpressionCombinedOperator value)` Sets the value of the '`Combined Operator`' attribute.
`void` `setLeftValueExpr(QueryValueExpression value)` Sets the value of the '`Left Value Expr`' containment reference.
`void` `setRightValueExpr(QueryValueExpression value)` Sets the value of the '`Right Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getCombinedOperator

    public ValueExpressionCombinedOperator getCombinedOperator()

  Returns the value of the 'Combined Operator' attribute. The literals are from the enumeration `ValueExpressionCombinedOperator`.

  If the meaning of the 'Combined Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `ValueExpressionCombinedOperator`, `setCombinedOperator(ValueExpressionCombinedOperator)`, `SQLQueryModelPackage.getValueExpressionCombined_CombinedOperator()`

### setCombinedOperator

    public void setCombinedOperator(ValueExpressionCombinedOperator value)

  Sets the value of the '`Combined Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Combined Operator' attribute.
  See Also:
    `ValueExpressionCombinedOperator`, `getCombinedOperator()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Returns the value of the 'Left Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Combined Left`'.

  If the meaning of the 'Left Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCombined_LeftValueExpr()`, `QueryValueExpression.getValueExprCombinedLeft()`

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression value)

  Sets the value of the '`Left Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `getLeftValueExpr()`

### getRightValueExpr

    public QueryValueExpression getRightValueExpr()

  Returns the value of the 'Right Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Combined Right`'.

  If the meaning of the 'Right Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr' containment reference.
  See Also:
    `setRightValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCombined_RightValueExpr()`, `QueryValueExpression.getValueExprCombinedRight()`

### setRightValueExpr

    public void setRightValueExpr(QueryValueExpression value)

  Sets the value of the '`Right Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr' containment reference.
  See Also:
    `getRightValueExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.